For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all policy amendment intents for a policy
      • POSTCreate a new policy amendment intent
      • GETRetrieve a policy amendment intent
      • POSTConfirm policy amendment intent
      • POSTCancel a policy amendment intent
      • POSTCreate a dependents management intent for a policy amendment
    • API Errors
Get access
LogoLogo
API ReferencePolicy Amendment Intents

Confirm policy amendment intent

POST
/policies/:policy_id/policy_amendment_intents/:policy_amendment_intent_id/confirm
POST
/policies/:policy_id/policy_amendment_intents/:policy_amendment_intent_id/confirm
$curl -X POST https://test.api.kota.io/policies/p_3b1333d87d9d4fd6ad83ba7f6b0e951a/policy_amendment_intents/pai_3b1333d87d9d4fd6ad83ba7f6b0e951a/confirm \
> -H "Authorization: Bearer <apiKey>"

Confirms a policy amendment intent after the employee has reviewed and accepted the quote. The intent must be in pending_confirmation status with a valid quote. The confirmation deadline must not have passed.

Previous

Retrieve a policy amendment intent

Next

Cancel a policy amendment intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

policy_idstringRequiredformat: "p_.+"
policy_amendment_intent_idstringRequiredformat: "pai_.+"

Errors

400
Bad Request Error
404
Not Found Error